package ru.dbotthepony.kstarbound.server.world

import ru.dbotthepony.kommons.arrays.Object2DArray
import ru.dbotthepony.kstarbound.world.ChunkPos
import ru.dbotthepony.kstarbound.world.api.AbstractCell
import ru.dbotthepony.kstarbound.world.entities.AbstractEntity

interface IChunkSaver {
	fun saveCells(pos: ChunkPos, data: Object2DArray<out AbstractCell>)
	fun saveEntities(pos: ChunkPos, data: Collection<AbstractEntity>)
}
